<div class="flex flex-col sm:flex-row sm:items-center justify-between">
    <div class="text-lg font-medium text-slate-700 flex items-center gap-2"><?php echo __('Contact form leads', 'social-contact-form'); ?>
        <!-- delete icon  -->
        <label x-show="selectedLeads.length" @click.prevent="deleteSelected" class="cursor-pointer text-red-400 px-2 py-1.5 rounded-md hover:bg-red-500 hover:text-white transition duration-150">
            <svg class="fill-current h-4 w-4" viewBox="0 0 20 20">
                <path fill-rule="evenodd" d="M9 2a1 1 0 00-.894.553L7.382 4H4a1 1 0 000 2v10a2 2 0 002 2h8a2 2 0 002-2V6a1 1 0 100-2h-3.382l-.724-1.447A1 1 0 0011 2H9zM7 8a1 1 0 012 0v6a1 1 0 11-2 0V8zm5-1a1 1 0 00-1 1v6a1 1 0 102 0V8a1 1 0 00-1-1z" clip-rule="evenodd" />
            </svg>
            </lab>
    </div>
    <div class="text-slate-400">
        <?php echo wp_sprintf('Showing %s out of %s leads', '<span class="font-medium text-slate-500" x-text="leads.length"></span>', '<span class="font-medium text-slate-500" x-text="lead.leads.length || 0"></span>'); ?>
    </div>
</div>

<!-- filters  -->
<div class="flex flex-col sm:flex-row sm:items-center justify-between gap-2 my-4">
    <!-- date between  -->
    <div class="flex items-center gap-1">
        <div class="flex items-center gap-2">
            <input type="date" class="w-full scf-input" x-model="lead.from">

            <span class="font-medium text-slate-400"><?php echo __('To', 'social-contact-form'); ?></span>
            <input type="date" class="w-full scf-input" x-model="lead.to">
        </div>
    </div>

    <div class="flex items-center gap-2">
        <button @click.prevent="exportLeadsAsCSV" class="bg-white text-slate-500 border border-slate-300 rounded-md shadow-sm whitespace-nowrap px-4 py-2 hover:opacity-90 hover:bg-indigo-600 hover:text-white transition duration-150 hover:border-transparent font-medium"><?php echo __('Export .CSV', 'social-contact-form'); ?></button>
        <input placeholder="<?php echo __('Search..', 'social-contact-form'); ?>" type="text" class="w-full scf-input" x-model="lead.search">
    </div>
</div>